Notploy
Endpoint reference

Notification

Notification create Slack

POST
/notification.createSlack
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError*boolean
databaseBackup*boolean
notployBackup*boolean
volumeBackup*boolean
notployRestart*boolean
name*string
appDeploy*boolean
dockerCleanup*boolean
serverThreshold*boolean
webhookUrl*string
Length1 <= length
channel*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.createSlack" \  -H "Content-Type: application/json" \  -d '{    "appBuildError": true,    "databaseBackup": true,    "notployBackup": true,    "volumeBackup": true,    "notployRestart": true,    "name": "string",    "appDeploy": true,    "dockerCleanup": true,    "serverThreshold": true,    "webhookUrl": "string",    "channel": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification update Slack

POST
/notification.updateSlack
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError?boolean
databaseBackup?boolean
notployBackup?boolean
volumeBackup?boolean
notployRestart?boolean
name?string
appDeploy?boolean
dockerCleanup?boolean
serverThreshold?boolean
webhookUrl?string
Length1 <= length
channel?string
notificationId*string
Length1 <= length
slackId*string
organizationId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.updateSlack" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string",    "slackId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification test Slack Connection

POST
/notification.testSlackConnection
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

webhookUrl*string
Length1 <= length
channel*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.testSlackConnection" \  -H "Content-Type: application/json" \  -d '{    "webhookUrl": "string",    "channel": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification create Telegram

POST
/notification.createTelegram
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError*boolean
databaseBackup*boolean
notployBackup*boolean
volumeBackup*boolean
notployRestart*boolean
name*string
appDeploy*boolean
dockerCleanup*boolean
serverThreshold*boolean
botToken*string
Length1 <= length
chatId*string
Length1 <= length
messageThreadId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.createTelegram" \  -H "Content-Type: application/json" \  -d '{    "appBuildError": true,    "databaseBackup": true,    "notployBackup": true,    "volumeBackup": true,    "notployRestart": true,    "name": "string",    "appDeploy": true,    "dockerCleanup": true,    "serverThreshold": true,    "botToken": "string",    "chatId": "string",    "messageThreadId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification update Telegram

POST
/notification.updateTelegram
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError?boolean
databaseBackup?boolean
notployBackup?boolean
volumeBackup?boolean
notployRestart?boolean
name?string
appDeploy?boolean
dockerCleanup?boolean
serverThreshold?boolean
botToken?string
Length1 <= length
chatId?string
Length1 <= length
messageThreadId?string
notificationId*string
Length1 <= length
telegramId*string
Length1 <= length
organizationId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.updateTelegram" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string",    "telegramId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification test Telegram Connection

POST
/notification.testTelegramConnection
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

botToken*string
Length1 <= length
chatId*string
Length1 <= length
messageThreadId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.testTelegramConnection" \  -H "Content-Type: application/json" \  -d '{    "botToken": "string",    "chatId": "string",    "messageThreadId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification create Discord

POST
/notification.createDiscord
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError*boolean
databaseBackup*boolean
notployBackup*boolean
volumeBackup*boolean
notployRestart*boolean
name*string
appDeploy*boolean
dockerCleanup*boolean
serverThreshold*boolean
webhookUrl*string
Length1 <= length
decoration*boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.createDiscord" \  -H "Content-Type: application/json" \  -d '{    "appBuildError": true,    "databaseBackup": true,    "notployBackup": true,    "volumeBackup": true,    "notployRestart": true,    "name": "string",    "appDeploy": true,    "dockerCleanup": true,    "serverThreshold": true,    "webhookUrl": "string",    "decoration": true  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification update Discord

POST
/notification.updateDiscord
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError?boolean
databaseBackup?boolean
notployBackup?boolean
volumeBackup?boolean
notployRestart?boolean
name?string
appDeploy?boolean
dockerCleanup?boolean
serverThreshold?boolean
webhookUrl?string
Length1 <= length
decoration?boolean
notificationId*string
Length1 <= length
discordId*string
Length1 <= length
organizationId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.updateDiscord" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string",    "discordId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification test Discord Connection

POST
/notification.testDiscordConnection
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

webhookUrl*string
Length1 <= length
decoration?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.testDiscordConnection" \  -H "Content-Type: application/json" \  -d '{    "webhookUrl": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification create Email

POST
/notification.createEmail
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError*boolean
databaseBackup*boolean
notployBackup*boolean
volumeBackup*boolean
notployRestart*boolean
name*string
appDeploy*boolean
dockerCleanup*boolean
serverThreshold*boolean
smtpServer*string
Length1 <= length
smtpPort*number
Range1 <= value
username*string
Length1 <= length
password*string
Length1 <= length
fromAddress*string
Length1 <= length
toAddresses*array<string>
Items1 <= items

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.createEmail" \  -H "Content-Type: application/json" \  -d '{    "appBuildError": true,    "databaseBackup": true,    "notployBackup": true,    "volumeBackup": true,    "notployRestart": true,    "name": "string",    "appDeploy": true,    "dockerCleanup": true,    "serverThreshold": true,    "smtpServer": "string",    "smtpPort": 1,    "username": "string",    "password": "string",    "fromAddress": "string",    "toAddresses": [      "string"    ]  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification update Email

POST
/notification.updateEmail
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError?boolean
databaseBackup?boolean
notployBackup?boolean
volumeBackup?boolean
notployRestart?boolean
name?string
appDeploy?boolean
dockerCleanup?boolean
serverThreshold?boolean
smtpServer?string
Length1 <= length
smtpPort?number
Range1 <= value
username?string
Length1 <= length
password?string
Length1 <= length
fromAddress?string
Length1 <= length
toAddresses?array<string>
Items1 <= items
notificationId*string
Length1 <= length
emailId*string
Length1 <= length
organizationId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.updateEmail" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string",    "emailId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification test Email Connection

POST
/notification.testEmailConnection
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

smtpServer*string
Length1 <= length
smtpPort*number
Range1 <= value
username*string
Length1 <= length
password*string
Length1 <= length
toAddresses*array<string>
Items1 <= items
fromAddress*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.testEmailConnection" \  -H "Content-Type: application/json" \  -d '{    "smtpServer": "string",    "smtpPort": 1,    "username": "string",    "password": "string",    "toAddresses": [      "string"    ],    "fromAddress": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification create Resend

POST
/notification.createResend
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError*boolean
databaseBackup*boolean
notployBackup*boolean
volumeBackup*boolean
notployRestart*boolean
name*string
appDeploy*boolean
dockerCleanup*boolean
serverThreshold*boolean
apiKey*string
Length1 <= length
fromAddress*string
Length1 <= length
toAddresses*array<string>
Items1 <= items

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.createResend" \  -H "Content-Type: application/json" \  -d '{    "appBuildError": true,    "databaseBackup": true,    "notployBackup": true,    "volumeBackup": true,    "notployRestart": true,    "name": "string",    "appDeploy": true,    "dockerCleanup": true,    "serverThreshold": true,    "apiKey": "string",    "fromAddress": "string",    "toAddresses": [      "string"    ]  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification update Resend

POST
/notification.updateResend
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError?boolean
databaseBackup?boolean
notployBackup?boolean
volumeBackup?boolean
notployRestart?boolean
name?string
appDeploy?boolean
dockerCleanup?boolean
serverThreshold?boolean
apiKey?string
Length1 <= length
fromAddress?string
Length1 <= length
toAddresses?array<string>
Items1 <= items
notificationId*string
Length1 <= length
resendId*string
Length1 <= length
organizationId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.updateResend" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string",    "resendId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification test Resend Connection

POST
/notification.testResendConnection
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

apiKey*string
Length1 <= length
fromAddress*string
Length1 <= length
toAddresses*array<string>
Items1 <= items

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.testResendConnection" \  -H "Content-Type: application/json" \  -d '{    "apiKey": "string",    "fromAddress": "string",    "toAddresses": [      "string"    ]  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification remove

POST
/notification.remove
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

notificationId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.remove" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification one

GET
/notification.one
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Query Parameters

notificationId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/notification.one?notificationId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification all

GET
/notification.all
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/notification.all"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification receive Notification

POST
/notification.receiveNotification
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

ServerType?string
Default"Notploy"
Value in"Notploy" | "Remote"
Type*string
Value in"Memory" | "CPU"
Value*number
Threshold*number
Message*string
Timestamp*string
Token*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.receiveNotification" \  -H "Content-Type: application/json" \  -d '{    "Type": "Memory",    "Value": 0,    "Threshold": 0,    "Message": "string",    "Timestamp": "string",    "Token": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification create Gotify

POST
/notification.createGotify
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError*boolean
databaseBackup*boolean
notployBackup*boolean
volumeBackup*boolean
notployRestart*boolean
name*string
appDeploy*boolean
dockerCleanup*boolean
serverThreshold*boolean
serverUrl*string
Length1 <= length
appToken*string
Length1 <= length
priority*number
Range1 <= value
decoration*boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.createGotify" \  -H "Content-Type: application/json" \  -d '{    "appBuildError": true,    "databaseBackup": true,    "notployBackup": true,    "volumeBackup": true,    "notployRestart": true,    "name": "string",    "appDeploy": true,    "dockerCleanup": true,    "serverThreshold": true,    "serverUrl": "string",    "appToken": "string",    "priority": 1,    "decoration": true  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification update Gotify

POST
/notification.updateGotify
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError?boolean
databaseBackup?boolean
notployBackup?boolean
volumeBackup?boolean
notployRestart?boolean
name?string
appDeploy?boolean
dockerCleanup?boolean
serverThreshold?boolean
serverUrl?string
Length1 <= length
appToken?string
Length1 <= length
priority?number
Range1 <= value
decoration?boolean
notificationId*string
Length1 <= length
gotifyId*string
Length1 <= length
organizationId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.updateGotify" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string",    "gotifyId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification test Gotify Connection

POST
/notification.testGotifyConnection
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

serverUrl*string
Length1 <= length
appToken*string
Length1 <= length
priority*number
Range1 <= value
decoration?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.testGotifyConnection" \  -H "Content-Type: application/json" \  -d '{    "serverUrl": "string",    "appToken": "string",    "priority": 1  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification create Ntfy

POST
/notification.createNtfy
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError*boolean
databaseBackup*boolean
notployBackup*boolean
volumeBackup*boolean
notployRestart*boolean
name*string
appDeploy*boolean
dockerCleanup*boolean
serverThreshold*boolean
serverUrl*string
Length1 <= length
topic*string
Length1 <= length
accessToken*string
priority*number
Range1 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.createNtfy" \  -H "Content-Type: application/json" \  -d '{    "appBuildError": true,    "databaseBackup": true,    "notployBackup": true,    "volumeBackup": true,    "notployRestart": true,    "name": "string",    "appDeploy": true,    "dockerCleanup": true,    "serverThreshold": true,    "serverUrl": "string",    "topic": "string",    "accessToken": "string",    "priority": 1  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification update Ntfy

POST
/notification.updateNtfy
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError?boolean
databaseBackup?boolean
notployBackup?boolean
volumeBackup?boolean
notployRestart?boolean
name?string
appDeploy?boolean
dockerCleanup?boolean
serverThreshold?boolean
serverUrl?string
Length1 <= length
topic?string
Length1 <= length
accessToken?string
priority?number
Range1 <= value
notificationId*string
Length1 <= length
ntfyId*string
Length1 <= length
organizationId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.updateNtfy" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string",    "ntfyId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification test Ntfy Connection

POST
/notification.testNtfyConnection
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

serverUrl*string
Length1 <= length
topic*string
Length1 <= length
accessToken*string
priority*number
Range1 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.testNtfyConnection" \  -H "Content-Type: application/json" \  -d '{    "serverUrl": "string",    "topic": "string",    "accessToken": "string",    "priority": 1  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification create Mattermost

POST
/notification.createMattermost
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError*boolean
databaseBackup*boolean
notployBackup*boolean
volumeBackup*boolean
notployRestart*boolean
name*string
appDeploy*boolean
dockerCleanup*boolean
serverThreshold*boolean
webhookUrl*string
Formaturi
channel?string
username?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.createMattermost" \  -H "Content-Type: application/json" \  -d '{    "appBuildError": true,    "databaseBackup": true,    "notployBackup": true,    "volumeBackup": true,    "notployRestart": true,    "name": "string",    "appDeploy": true,    "dockerCleanup": true,    "serverThreshold": true,    "webhookUrl": "http://example.com"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification update Mattermost

POST
/notification.updateMattermost
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError?boolean
databaseBackup?boolean
notployBackup?boolean
volumeBackup?boolean
notployRestart?boolean
name?string
appDeploy?boolean
dockerCleanup?boolean
serverThreshold?boolean
webhookUrl?string
Formaturi
channel?string
username?string
notificationId*string
Length1 <= length
mattermostId*string
Length1 <= length
organizationId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.updateMattermost" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string",    "mattermostId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification test Mattermost Connection

POST
/notification.testMattermostConnection
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

webhookUrl*string
Formaturi
channel?string
username?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.testMattermostConnection" \  -H "Content-Type: application/json" \  -d '{    "webhookUrl": "http://example.com"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification create Custom

POST
/notification.createCustom
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError?boolean
databaseBackup?boolean
notployBackup?boolean
volumeBackup?boolean
notployRestart?boolean
name*string
appDeploy?boolean
dockerCleanup?boolean
serverThreshold?boolean
endpoint*string
Length1 <= length
headers?

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.createCustom" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "endpoint": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification update Custom

POST
/notification.updateCustom
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError?boolean
databaseBackup?boolean
notployBackup?boolean
volumeBackup?boolean
notployRestart?boolean
name?string
appDeploy?boolean
dockerCleanup?boolean
serverThreshold?boolean
endpoint?string
Length1 <= length
headers?
notificationId*string
Length1 <= length
customId*string
Length1 <= length
organizationId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.updateCustom" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string",    "customId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification test Custom Connection

POST
/notification.testCustomConnection
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

endpoint*string
Length1 <= length
headers?

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.testCustomConnection" \  -H "Content-Type: application/json" \  -d '{    "endpoint": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification create Lark

POST
/notification.createLark
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError*boolean
databaseBackup*boolean
notployBackup*boolean
volumeBackup*boolean
notployRestart*boolean
name*string
appDeploy*boolean
dockerCleanup*boolean
serverThreshold*boolean
webhookUrl*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.createLark" \  -H "Content-Type: application/json" \  -d '{    "appBuildError": true,    "databaseBackup": true,    "notployBackup": true,    "volumeBackup": true,    "notployRestart": true,    "name": "string",    "appDeploy": true,    "dockerCleanup": true,    "serverThreshold": true,    "webhookUrl": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification update Lark

POST
/notification.updateLark
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError?boolean
databaseBackup?boolean
notployBackup?boolean
volumeBackup?boolean
notployRestart?boolean
name?string
appDeploy?boolean
dockerCleanup?boolean
serverThreshold?boolean
webhookUrl?string
Length1 <= length
notificationId*string
Length1 <= length
larkId*string
Length1 <= length
organizationId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.updateLark" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string",    "larkId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification test Lark Connection

POST
/notification.testLarkConnection
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

webhookUrl*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.testLarkConnection" \  -H "Content-Type: application/json" \  -d '{    "webhookUrl": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification create Teams

POST
/notification.createTeams
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError*boolean
databaseBackup*boolean
notployBackup*boolean
volumeBackup*boolean
notployRestart*boolean
name*string
appDeploy*boolean
dockerCleanup*boolean
serverThreshold*boolean
webhookUrl*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.createTeams" \  -H "Content-Type: application/json" \  -d '{    "appBuildError": true,    "databaseBackup": true,    "notployBackup": true,    "volumeBackup": true,    "notployRestart": true,    "name": "string",    "appDeploy": true,    "dockerCleanup": true,    "serverThreshold": true,    "webhookUrl": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification update Teams

POST
/notification.updateTeams
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError?boolean
databaseBackup?boolean
notployBackup?boolean
volumeBackup?boolean
notployRestart?boolean
name?string
appDeploy?boolean
dockerCleanup?boolean
serverThreshold?boolean
webhookUrl?string
Length1 <= length
notificationId*string
Length1 <= length
teamsId*string
Length1 <= length
organizationId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.updateTeams" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string",    "teamsId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification test Teams Connection

POST
/notification.testTeamsConnection
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

webhookUrl*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.testTeamsConnection" \  -H "Content-Type: application/json" \  -d '{    "webhookUrl": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification create Pushover

POST
/notification.createPushover
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

appBuildError?boolean
databaseBackup?boolean
notployBackup?boolean
volumeBackup?boolean
notployRestart?boolean
name*string
appDeploy?boolean
dockerCleanup?boolean
serverThreshold?boolean
userKey*string
Length1 <= length
apiToken*string
Length1 <= length
priority?number
Default0
Range-2 <= value <= 2
retry?number|null
expire?number|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.createPushover" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "userKey": "string",    "apiToken": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification update Pushover

POST
/notification.updatePushover
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

notificationId*string
Length1 <= length
pushoverId*string
Length1 <= length
organizationId?string
userKey?string
Length1 <= length
apiToken?string
Length1 <= length
priority?number
Range-2 <= value <= 2
retry?number|null
expire?number|null
appBuildError?boolean
databaseBackup?boolean
notployBackup?boolean
volumeBackup?boolean
notployRestart?boolean
name?string
appDeploy?boolean
dockerCleanup?boolean
serverThreshold?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.updatePushover" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string",    "pushoverId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification test Pushover Connection

POST
/notification.testPushoverConnection
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

userKey*string
Length1 <= length
apiToken*string
Length1 <= length
priority*number
Range-2 <= value <= 2
retry?number|null
expire?number|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/notification.testPushoverConnection" \  -H "Content-Type: application/json" \  -d '{    "userKey": "string",    "apiToken": "string",    "priority": -2  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Notification get Email Providers

GET
/notification.getEmailProviders
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/notification.getEmailProviders"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}